Willkommen Gast! Um alle Funktionen zu aktivieren müssen Sie sich Anmelden oder Registrieren.
Optionen
Gehe zum aktuellsten Beitrag Gehe zum letzten Ungelesenen
nagamag  
#1 Geschrieben : Samstag, 18. Juni 2016 19:54:42(UTC)
nagamag

Rang: Advanced Member

Gruppe: NL, Registered
Mitglied seit: 16.04.2016(UTC)
Beiträge: 471
Mann
Germany
Wohnort: Nörvenich

Dankte: 7 mal(e)
Es wurde: 15 mal in 15 Beiträgen gedankt

mal eine frage an alle progger wie alt oder besser gefragt in was sollten scripte geschrieben sein das die noch ohne große probs auf modernen servern laufen
Surftipps
MrChicken  
#2 Geschrieben : Samstag, 18. Juni 2016 21:22:38(UTC)
MrChicken

Rang: Advanced Member

Gruppe: NL, Netzi-Seitenbetreiber, Registered
Mitglied seit: 25.04.2016(UTC)
Beiträge: 334
Mann
Germany

Dankte: 41 mal(e)
Es wurde: 38 mal in 29 Beiträgen gedankt

Das gute an modernen Servern ist ja das die meisten abwärtskompatibel sind. Von daher kommt es drauf an was das für ein Script sein soll. Du kannst auch gerne noch in PHP 3 programmieren wenn du möchtest. Obwohl das nicht mehr aktuell ist, dürfte es noch vollständig funktionieren (inkl. Sicherheitslücken)
Bububoomt  
#3 Geschrieben : Samstag, 18. Juni 2016 21:30:19(UTC)
Bububoomt

Rang: Administration

Gruppe: NL, Administrators, Moderator, PNProFeature
Mitglied seit: 03.04.2016(UTC)
Beiträge: 1,240
Mann
Germany

Dankte: 3 mal(e)
Es wurde: 160 mal in 90 Beiträgen gedankt

Naja wenn aufm server die neueste php version ist und das "php3" script läuft dann sind da genau so viele Sicherheutsllücken wie bei jedem anderen Script.

Ist die frage ob das Script funktioniert oder nicht. Wenn es nur grundlegende funktionen nutzt die ja nicht geändert wurden... werden ja nicht alle auf mal abgeschafft und neue erstellt weils ne neue php Version gibt.

Wenn ein Script nur x+y beinhaltet wird es wohl immer funktionieren...

jo_237  
#4 Geschrieben : Sonntag, 19. Juni 2016 09:47:26(UTC)
jo_237

Rang: Advanced Member

Gruppe: NL, Netzi-Seitenbetreiber, PNProFeature, Registered
Mitglied seit: 28.05.2016(UTC)
Beiträge: 229

Dankte: 50 mal
Es wurde: 35 mal in 21 Beiträgen gedankt

Schon alleine aus Gründen der Wartbarkeit solltest du im PHP-Bereich nur Skripte einsetzen, die mind. auf PHP 5 setzen.

Als Faustregel sollte man keine Skripte einsetzen, die länger als 1 Jahr kein Update erhalten haben, da diese offensichtlich nicht mehr aktiv gewartet werden.

Meine persönliche Meinung: Der Marktanteil von PHP wird stark schrumpfen. Ich würde im Backend auf Java oder ECMAScript (NodeJS) setzen.

nagamag  
#5 Geschrieben : Sonntag, 19. Juni 2016 09:50:10(UTC)
nagamag

Rang: Advanced Member

Gruppe: NL, Registered
Mitglied seit: 16.04.2016(UTC)
Beiträge: 471
Mann
Germany
Wohnort: Nörvenich

Dankte: 7 mal(e)
Es wurde: 15 mal in 15 Beiträgen gedankt

ok danke für die antworten
dann kann ich warscheilich fast alles in die tonne kloppen was ich noch so rumliegen habe
Deathlyrain  
#6 Geschrieben : Sonntag, 19. Juni 2016 12:41:56(UTC)
Deathlyrain

Rang: Newbie

Gruppe: Registered
Mitglied seit: 17.06.2016(UTC)
Beiträge: 3
Germany


Zitat von: jo_237 Gehe zum zitierten Beitrag

Meine persönliche Meinung: Der Marktanteil von PHP wird stark schrumpfen. Ich würde im Backend auf Java oder ECMAScript (NodeJS) setzen.

Ich glaube nicht, dass die Nutzung von PHP in nächster Zeit stark zurück gehen wird. Es wird von vielen CMS-System, wie beispielsweise Wordpress verwendet. Außerdem lässt sich mit einer derartigen Scriptsprache, die auch noch auf fast jedem Webserver läuft, in unschlagbarer Geschwindigkeit eine kleine Applikation schreiben. Natürlich sind Hochsprachen wie Java für große Projekte unerlässlich, da sie andere Möglichkeiten mit sich bringen, aber das ist auch nicht der wirkliche Einsatzbereich von PHP.

nagamag du muss ja nicht alles "in die Tonne kloppen", sondern es reicht wenn du schaust, welche Funktionen veraltet sind und aus der Sprache entfernt wurden. Diese musst du dann entsprechend durch neue Funktionen ersetzen. Dabei hilft ein guter Editor, der so etwas markiert.
Bububoomt  
#7 Geschrieben : Sonntag, 19. Juni 2016 13:09:19(UTC)
Bububoomt

Rang: Administration

Gruppe: NL, Administrators, Moderator, PNProFeature
Mitglied seit: 03.04.2016(UTC)
Beiträge: 1,240
Mann
Germany

Dankte: 3 mal(e)
Es wurde: 160 mal in 90 Beiträgen gedankt

Ja sage ich auch, denn es kommt doch auf Script an, wenn es was Simples ist wirds immer laufen, wenns etwas komplexes ist, dann muss man schauen.

Ich selber bin momentan eher für C# ;)
nagamag  
#8 Geschrieben : Sonntag, 19. Juni 2016 15:15:41(UTC)
nagamag

Rang: Advanced Member

Gruppe: NL, Registered
Mitglied seit: 16.04.2016(UTC)
Beiträge: 471
Mann
Germany
Wohnort: Nörvenich

Dankte: 7 mal(e)
Es wurde: 15 mal in 15 Beiträgen gedankt

ich habe da noch ein eva mailer script, losezock login,alle mögliche spiele von pasch über hotel,lotto slots,usw...mailtausch script , fwx mit allen möglichen und unmöglichen adons, fast alle adons die es fürs vms gab oder giebt
und vieles mehr bin halt sammler
viele sachen habe ich mir extra proggen lassen zb. ein bildervote fürs losezock script ,
ista sachen müßte ich auch noch haben auch so eine wechselstube
mal sehen was ich davon noch verwenden kann

Bearbeitet vom Benutzer Sonntag, 19. Juni 2016 15:18:52(UTC)  | Grund: Nicht angegeben

smssam  
#9 Geschrieben : Montag, 27. Juni 2016 22:42:08(UTC)
smssam

Rang: Advanced Member

Gruppe: Registered
Mitglied seit: 11.05.2016(UTC)
Beiträge: 30
Mann
Germany
Wohnort: Saarbrücken

Dankte: 8 mal(e)
Es wurde: 5 mal in 4 Beiträgen gedankt

Um immer einen groben Überblick zu behalten welche Versionen man verwenden kann, empfehle ich einen Blick hierauf zu werfen: http://php.net/supported-versions.php - PHP 5.5 erhält zum Beispiel nur noch für 12 Tage Sicherheitsupdates ;-)

Achte am besten darauf, dass deine Scripte ggf. mit der 5.6 oder im Idealfall mit der 7.0 kompatibel sind (allein die Umstellung auf 7.0 verbessert die Geschwendigkeit der PHP-Anwendungen, hier mal ein kleiner Vergleich).

Natürlich sollte man hierbei die Qualität des Codes und die Architektur der Scripte bzw. Anwendungen nicht aus dem Auge verlieren.

Zitat von: jo_237 Gehe zum zitierten Beitrag
Meine persönliche Meinung: Der Marktanteil von PHP wird stark schrumpfen. Ich würde im Backend auf Java oder ECMAScript (NodeJS) setzen.


NodeJS wird in Zukunft eine immer wichtigere Rolle spielen, vor allen im Web-App Bereich wird es immer dominanter (in Kombination mit Angular.js ist es sehr nett). Aufgrund der einfachen und praktischen Erlernbarkeit (immerhin kann man dann mit Javascript nicht nur im Frontend was anfangen) aber auch in Hinblick auf Performance glänzt NodeJS.

Auch erblicken immer mehr CMS die mittels NodeJS geschrieben wurden sind das Licht (z. B. keystoneJS), aber letzten Endes sollte man hier auch den Sinn hinterfragen. Je nach Webseite oder Vorhaben reicht auch ein mittels PHP umgesetztes CMS aus (und ich meine hier in dem Fall nicht die üblichen 4 Verdächtigen, modX und ProcessWire sind definitiv einen Blick wert) bzw. eine Eigenentwicklung oder bereits bestehende andersartige Lösung aus.

Aber ich würde stark bezweifeln das PHP stark schrumpfen wird. Die Anteile an Frameworks, CMS und E-Commerce Anwendungen als auch bisher bestehenden Projekten sind enorm - Und für gewisse Vorhaben ist es dennoch ein geeignetes Werkzeug um schnell und kostengünstig Erfolge zu erzielen. PHP hat mit der Version 7.0 auch ordentlich nachgerüstet, auch was die Performance angeht ist es wesentlich schneller als die Version 5.6.

Sir_Gawain  
#10 Geschrieben : Donnerstag, 22. September 2016 06:08:41(UTC)
Sir_Gawain

Rang: Newbie

Gruppe: Registered
Mitglied seit: 20.09.2016(UTC)
Beiträge: 6
Germany


Moin,gibt es installations scripte für Netzis,so das ich eine eigene seite starten könnte?
Sir_Gawain  
#11 Geschrieben : Freitag, 30. September 2016 04:40:52(UTC)
Sir_Gawain

Rang: Newbie

Gruppe: Registered
Mitglied seit: 20.09.2016(UTC)
Beiträge: 6
Germany


moin kann mir jemand Antworten?
nagamag  
#12 Geschrieben : Freitag, 30. September 2016 05:22:45(UTC)
nagamag

Rang: Advanced Member

Gruppe: NL, Registered
Mitglied seit: 16.04.2016(UTC)
Beiträge: 471
Mann
Germany
Wohnort: Nörvenich

Dankte: 7 mal(e)
Es wurde: 15 mal in 15 Beiträgen gedankt

Zitat von: Sir_Gawain Gehe zum zitierten Beitrag
moin kann mir jemand Antworten?


meinst du sowas wie das vms wo es schon spile für gibt oder nur ein loginscript

Benutzer, die gerade dieses Thema lesen
Das Forum wechseln  
Du kannst keine neue Themen in diesem Forum eröffnen.
Du kannst keine Antworten zu Themen in diesem Forum erstellen.
Du darfst deine Beiträge nicht löschen.
Du darfst deine Beiträge nicht editieren.
Du kannst keine Umfragen in diesem Forum erstellen.
Du kannst nicht an Umfragen teilnehmen.

Powered by YAF.NET | YAF.NET © 2003-2021, Yet Another Forum.NET
Diese Seite wurde in 0.567 Sekunden generiert.

Mitteilung

Icon
Error